Skip to contentSkip to navigationSkip to topbar
Page tools
Useful for sharing or LLM
Accelerate development with AI

On this pageProducts used
Looking for more inspiration?Visit the
Error
Application error

13806: Invalid Client Notification URL

Twilio Voice DocumentationVoice

Description

description page anchor

This error means the configured clientNotificationUrl is not a valid URL for Voice client call notifications. Twilio uses clientNotificationUrl to notify your application when a call routes to a Voice SDK client user, and the URL must contain a valid hostname, cannot include underscores, and only accepts POST.

Possible causes

possible-causes page anchor
  • The configured clientNotificationUrl is malformed or otherwise not a valid URL.
  • The URL hostname is invalid or includes underscores.
  • The URL is not configured to use POST.
  • Replace clientNotificationUrl with a valid URL that uses a valid hostname and does not include underscores.
  • Configure the notification endpoint to accept POST requests.
  • Verify your webhook handler responds appropriately to client call notifications. Twilio sends the request body as JSON, and the endpoint should return 200 OK when a matching client binding is found or 404 Not Found when it is not.

Additional resources

additional-resources page anchor